Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleComponent Class Reference

参照方法が複数ある柔軟なComponent型を扱うクラス。 More...

Inheritance diagram for FlexibleComponent:

## Public Member Functions
| FlexibleComponent ()
| FlexibleComponentデフォルトコンストラクタ More...
| FlexibleComponent (Component component)
| FlexibleComponentコンストラクタ More...
| FlexibleComponent (ComponentParameterReference parameter)
| FlexibleComponentコンストラクタ More...
| FlexibleComponent (InputSlotComponent slot)
| FlexibleComponentコンストラクタ More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator Component (FlexibleComponent flexible)
| FlexibleComponentをComponentにキャスト。 More...
static | operator FlexibleComponent (Component value)
| ComponentをFlexibleComponentにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Component | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なComponent型を扱うクラス。

使用可能な属性 :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

FlexibleComponent | ( |  | ) |

FlexibleComponentデフォルトコンストラクタ

FlexibleComponent | ( | Component | component | ) |

FlexibleComponentコンストラクタ

Parameters

  component | Component

FlexibleComponent | ( | ComponentParameterReference | parameter | ) |

FlexibleComponentコンストラクタ

Parameters

  parameter | Parameter

FlexibleComponent | ( | InputSlotComponent | slot | ) |

FlexibleComponentコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator Component | ( | FlexibleComponent | flexible | ) |
| explicit static

FlexibleComponentをComponentにキャスト。

Parameters

  flexible | FlexibleComponent

static operator FlexibleComponent | ( | Component | value | ) |
| explicit static

ComponentをFlexibleComponentにキャスト。

Parameters

  value | Component

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

Component value
| get

値を返す